
Redmine - Defect #9894

Issue category is not created for the project if we try to create it via ajax on adding new issue page.

2011-12-30 09:33 - Y Z

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 1.3.0

Description

Issue category is not created for the project if we try to create it via ajax on adding new issue page.

When we click on plus icon to add a new category, specify category name, click on the OK button, the dialog closes w/o adding a

new category for the project.

Everything is tested with Administrative privileges. But the process works if we add new category through Project -> Settings -> Issue

categories tab.

History

#1 - 2011-12-30 09:36 - Y Z

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.1

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Environment               production

Database adapter          mysql

Database schema version   20110902000000

#2 - 2012-01-04 09:06 - Y Z

- Assignee set to Etienne Massip

#3 - 2012-01-04 09:09 - Etienne Massip

- Assignee deleted (Etienne Massip)

#4 - 2012-01-04 13:52 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Cant reproduce

Can't reproduce on m.redmine.org with 1.3.0 stable, could be a setup issue (can you add a related issue to an issue?) or a plugin issue?

You should also check your production.log file.

#5 - 2012-01-04 14:37 - Y Z

Found a cause. There is a plugin called "fields permissions" http://www.redmine.org/plugins/redmine_fields_permissions, it breaks almost all features

designed through _attributes view.
